Package com.complexible.common.rdf.query

# Class IteratorAsBooleanQueryResult

java.lang.Object
com.google.common.collect.UnmodifiableIterator<Boolean>
com.google.common.collect.AbstractIterator<Boolean>
com.complexible.common.rdf.query.IteratorAsQueryResult<Boolean>
com.complexible.common.rdf.query.IteratorAsBooleanQueryResult

All Implemented Interfaces:
  `CloseableIterator<Boolean>`, `BooleanQueryResult`, `QueryResult<Boolean>`, `AutoCloseable`, `Iterator<Boolean>`

public final class IteratorAsBooleanQueryResult extends IteratorAsQueryResult<Boolean> implements BooleanQueryResult

Adapter from an `Iterator` produced during query evaluation to a `BooleanQueryResult`.

Since:
  1.2
Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IteratorAsBooleanQueryResult(CloseableIterator<Boolean> theIterator, Runnable theOnEnd, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnFailure)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `computeNext()`

  ### Methods inherited from class com.complexible.common.rdf.query.IteratorAsQueryResult

  `close`

  ### Methods inherited from class com.google.common.collect.AbstractIterator

  `endOfData, hasNext, next, peek`

  ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

  `remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.query.BooleanQueryResult

  `booleanValue`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

  ### Methods inherited from interface com.stardog.stark.query.QueryResult

  `close, hasNext, metadata, next, stream`

- ## Constructor Details

  - ### IteratorAsBooleanQueryResult

    public IteratorAsBooleanQueryResult(CloseableIterator<Boolean> theIterator, Runnable theOnEnd, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnFailure)

- ## Method Details

  - ### computeNext

    public Boolean computeNext()
    Overrides:
      `computeNext` in class `IteratorAsQueryResult<Boolean>`